cputimes(1m)

NAME
cputimes - print time by Kernel/Idle/Process. Uses DTrace.

SYNOPSIS
cputimes [-ahTV] [-t top] [interval [count]]

DESCRIPTION
cputimes prints the CPU time consumed by the Kernel, Idle threads and by Processes. This program accurately measures time consumed by the kernel, but in doing so creates extra kernel load of it's own. This extra kernel activity can be measured by running one cputimes and then another, and comparing the difference in kernel consumed time. This method can be used to estimate the load caused by other DTrace scripts. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OPTIONS

-a  print all processes

-T  print totals

-V  don't print timestamps

-t num
    print top num lines only

EXAMPLES

Default, print Kernel/Idle/Process time, 1 x 1 second sample,
    # cputimes

Print every 1 second,
    # cputimes 1

Print all processes every 10 seconds,
    # cputimes -a 10

Print top 8 lines every 5 seconds,
    # cputimes -at 8 5

FIELDS

THREADS
    Either KERNEL, IDLE, PROCESS or process name.

IDLE
    Idle time - CPU running idle thread

KERNEL
    Kernel time - Kernel servicing interrupts, ...

PROCESS
    Process time - PIDs running on the system

TIME (ns)
    Sum of the CPU time, ns (nanoseconds)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
cputimes will run once, unless a count is specified.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), vmstat(1M)